NativeBridgeDataSource.getDeviceInfo = function () {
  if (typeof android != "undefined") {
    return JSON.parse(android.getDeviceInfo());
  } else {
    return JSON.parse(callNativeApp(NATIVE_KEY_IOS.getDeviceInfo, {}));
  }
};

var DeviceInfo = class {
  isMoble; // iphone or iPad
  platform; // ios or android

  constructor(deviceInfo) {
    this.isMoble = deviceInfo.isMoble;
    this.platform = deviceInfo.platform;
  }

  isiOS() {
    return this.platform == "ios";
  }

  isAndroid() {
    return this.platform == "android";
  }

  isMobile() {
    return this.isMoble == "true";
  }
};

var deviceInfo = new DeviceInfo(NativeBridgeDataSource.getDeviceInfo());
